<Manage::FieldContainer @title={{@title}} @isDisabled={{@isDisabled}} @isSaveDisabled={{this.isDisabled}}
  class="container-group-sound-gallery" @editablePanel={{@editablePanel}} @onEdit={{@onEdit}} @onSave={{this.save}}
  @onCancel={{this.cancel}} ...attributes>
  <:edit>
    <Input::SoundList @campaignAnswer={{@campaignAnswer}} @feature={{@feature}} @value={{this.value}} @onChange={{this.change}} />
  </:edit>

  <:view>

    {{#if this.value}}
      <Browse::SoundList @sounds={{this.value}} />
    {{else}}
      <div class='alert alert-secondary' role='alert'>
        {{t 'message-alert-sounds-missing'}}
      </div>
    {{/if}}
  </:view>

</Manage::FieldContainer>